import React, { Component } from "react";
import BeldenLogo from "../assets/images/belden-white.png";
import "../assets/stylesheets/summary.scss";

export default class SummaryComponent extends Component {
  render() {
    return (
      <div className="summary">
        <div className="summary-image">
          <img src={BeldenLogo} alt="Belden" />
        </div>
        <div className="summary-fieldContainer">
          <h1 className="summary-title">Summary</h1>
          <div className="summary-grid">
            <div className="summary-grid-container">
              <iframe src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=8" title="Belden" className="summary-iframe" />
            </div>
            <div className="summary-grid-container">
              <iframe src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=3" title="Belden" className="summary-iframe" />
            </div>
            <div className="summary-grid-container">
              <iframe src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=7" title="Belden" className="summary-iframe" />
            </div>
            <div className="summary-grid-container">
              <iframe src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=6" title="Belden" className="summary-iframe" />
            </div>
            <div className="summary-grid-container">
              <iframe src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=4" title="Belden" className="summary-iframe" />
            </div>
            <div className="summary-grid-container">
              <iframe src="http://192.168.1.12:3000/d-solo/cdiqwmlr8c9ogf/sensors?orgId=1&refresh=1s&theme=light&panelId=2" title="Belden" className="summary-iframe" />
            </div>
          </div>
        </div>
      </div>
    );
  }
}